--- title: "Get dataset" slug: "ai-application-service-aitems-dataset-read" tags: ["AiTEMS"] updated: 2026-09-17T09:35:47Z published: 2026-09-17T09:35:47Z canonical: "api.ncloud-docs.com/ai-application-service-aitems-dataset-read" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get dataset Available in Classic and VPC Get details about a specific dataset among the created datasets. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /datasets/{datasetId} | ### Request headers For headers common to all AiTEMS APIs, see [AiTEMS request headers](/docs/en/docs/en/aiservices-aitems#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `datasetId` | String | Required | Dataset ID - See [Get dataset list](/docs/en/aiservices-aitems-dataset-list). | ### Request example The following is a sample request. ``` curl --location --request GET 'https://aitems.apigw.ntruss.com/api/v1/datasets/bu457******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `datasetId` | String | - | Dataset ID | | `type` | String | - | Dataset type - `user` \| `item` \| `interaction` - `user`: data containing user information (age, gender, etc.) - `item`: data with product-related information (price, release date, category, etc.) - `interaction`: data that captures the history of interactions between users and products | | `name` | String | - | Dataset name | | `description` | String | - | Dataset description | | `schemaName` | String | - | Dataset schema name | | `status` | String | - | Dataset status - `enable` \| `waiting` \| `processing` \| `upload_failed` \| `disable` \| `deleting` - `enable`: training available - `waiting`, `processing`: pending - `upload_failed`, `disable`, `deleting`: upload failure | | `osInfo` | Object | - | Information of Object Storage where the data file is stored | | `osInfo.region` | String | - | Region of Object Storage where the data file is stored - `KR` | | `osInfo.bucket` | String | - | Bucket name of Object Storage where the data file is stored | | `osInfo.key` | String | - | Path (prefix) of Object Storage where the data file is stored | | `connectedServices` | Array | - | Information about service using dataset: [connectedServices](/docs/en/ai-application-service-aitems-dataset-read#connectedServices) | | `createdDate` | String | - | Dataset creation date and time | | `updatedDate` | String | - | Last update date and time of the dataset | #### `connectedServices` The following describes `connectedServices`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | - | Service ID | | `name` | String | - | Service name | ### Response status codes For response status codes common to all AiTEMS APIs, see [AiTEMS response status codes](/docs/en/aiservices-aitems-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "datasetId": "bu457******", "type": "interaction", "name": "interaction_dataset", "description": "", "schemaName": "interaction_schema", "status": "enable", "osInfo": { "region": "KR", "bucket": "aitems", "key": "interaction_dataset.csv" }, "connectedServices": [ { "serviceId": "fboyb******", "name": "service" }, { "serviceId": "xv94v******", "name": "service1" }, { "serviceId": "6wxgu******", "name": "service3" } ], "createdDate": "2024-07-30T09:49:19.254", "updatedDate": "2024-07-30T09:49:35.364" } ```